# role_podman

Install podman and manage pods and containers.

## Pre-requisite

The podman user (`podman_user`) must be created before executing this role.

## Variables

### podman_packages

List of packages to install in order to use podman.

<span style="text-decoration: underline">Default value:</span> `["catatonit", "dbus-user-session", "passt", "podman", "podman-docker", "uidmap", "systemd-container"]`

### podman_fix_pasta

On bookworm, we need to fix pasta to use podman ([see here](https://github.com/containers/buildah/issues/5440#issuecomment-2028911573)).

<span style="text-decoration: underline">Default value:</span> `false`

### podman_user

Users with container configuration.

<span style="text-decoration: underline">Default value:</span> `podman`

### podman_configure_rsyslog

Status of messages from the *podman* binary and from binaries in containers if they're equalto the container name.

<span style="text-decoration: underline">Default value:</span> `true`

### podman_ssh_host

Host to be tested for instance availability.

<span style="text-decoration: underline">Default value:</span> `{{ inventory_hostname }}`

### podman_ssh_port

Port to be tested for instance availability.

<span style="text-decoration: underline">Default value:</span> `22`

### podman_auto_update

Status of the automatic container update service.

<span style="text-decoration: underline">Default value:</span> `true`

### podman_pods

List of dictionnaries to define pods ([see ansible documentation](https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_pod_module.html)).

<span style="text-decoration: underline">Default value:</span> none

### podman_containers

List of dictionnaries to define containers ([see ansible documentation](https://docs.ansible.com/ansible/latest/collections/containers/podman/podman_container_module.html#ansible-collections-containers-podman-podman-container-module)).

<span style="text-decoration: underline">Default value:</span> none

## Extras

It's possible to use this role with the alvistack repository by setting the variables to the following values:

```yaml
# BEGIN role_podman
podman_packages:
  - catatonit
  - dbus-user-session
  - containernetworking-dnsname
  - containernetworking-plugins
  - containernetworking-podman-machine
  - passt
  - podman
  - podman-aardvark-dns
  - podman-docker
  - podman-gvproxy
  - podman-netavark
  - python3-podman-compose
  - uidmap
  - systemd-container

podman_fix_pasta: true
# END role_podman
```
